No, beta expired so i must download full version from marketplace. I installed this ROM today. But i had too many problems with sense 2.1 so i changed it.